Package org.apache.sysds.runtime.util

## Class IndexRange

- java.lang.Object
- - org.apache.sysds.runtime.util.IndexRange

All Implemented Interfaces:
  `Serializable`

    public class IndexRange
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`long` `colEnd`
`long` `colStart`
`long` `rowEnd`
`long` `rowStart`

### Constructor Summary

Constructors
`IndexRange​(long rs, long re, long cs, long ce)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IndexRange` `add​(int delta)`
`long` `colSpan()`
`boolean` `inColRange​(long col)`
`boolean` `inRowRange​(long row)`
`boolean` `isScalar()`
`long` `rowSpan()`
`void` `set​(long rs, long re, long cs, long ce)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### rowStart

    public long rowStart

#### rowEnd

    public long rowEnd

#### colStart

    public long colStart

#### colEnd

    public long colEnd

### Constructor Detail

#### IndexRange

    public IndexRange​(long rs,
                      long re,
                      long cs,
                      long ce)

### Method Detail

#### set

    public void set​(long rs,
                    long re,
                    long cs,
                    long ce)

#### isScalar

    public boolean isScalar()

#### add

    public IndexRange add​(int delta)

#### inColRange

    public boolean inColRange​(long col)

#### inRowRange

    public boolean inRowRange​(long row)

#### colSpan

    public long colSpan()

#### rowSpan

    public long rowSpan()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`